(function() {
	window.addEventListener('load', function() {
		if ( typeof(Storage) !== "undefined" ) {
			var sel_group = document.getElementById('select-group');
			var group = localStorage.getItem('iena-sel-group');
			if (group) {
				group = JSON.parse(localStorage.getItem('iena-sel-group'));
				for (var i = 0; i < group.length; i++) {
					if ( group[i].course_id === window.location.search.replace('?id=','') ) {
						sel_group.value = group[i].group_id;
						break;
					}
				}
			}
			set_indicateur_displays();
			set_attendance_link();
			if (sel_group != null) {	
				sel_group.addEventListener('change', function(e) {
					if (group) {
						group = JSON.parse(localStorage.getItem('iena-sel-group'));
						var set = false;
						for (var i = 0; i < group.length; i++) {
							if ( group[i].course_id === window.location.search.replace('?id=','') ) {
								group[i].group_id = sel_group.value;
								set = true;
								break;
							}
						}
						if ( !set ) {
							group.push({
								course_id: window.location.search.replace('?id=',''),
								group_id: e.target.value
							});
						}
						localStorage.setItem('iena-sel-group', JSON.stringify(group));
					} else {
						localStorage.setItem('iena-sel-group', JSON.stringify([{
							course_id: window.location.search.replace('?id=',''),
							group_id: e.target.value
						}]));
					}
					set_indicateur_displays();
					set_attendance_link();
				})
			}
		}
	})

	function set_indicateur_displays() {
		console.log("display indicateur")
		$('.nb_pers').hide();
		$('.' + $('#select-group').val()).show();
	}

	function set_attendance_link() {
		if ( typeof(Storage) !== "undefined" ) {
			var att_btn = document.getElementById('iena-attendance-btn');
			var group = localStorage.getItem('iena-sel-group');
			if ( group && att_btn !== null && /&group=-?[0-9]+/.test(att_btn.getAttribute('href')) ) {
				console.log("pass");
				group = JSON.parse(group);
				for (var i = 0; i < group.length; i++) {
					if ( group[i].course_id === window.location.search.replace('?id=','') ) {
						var att_btn_href = att_btn.getAttribute('href').replace(/&group=-?[0-9]+/, "");
						var group_id = group[i].group_id.substr(group[i].group_id.length - 1);
						b_group_id = group_id == 0 ? -1 : group_id;
						att_btn.setAttribute('href', att_btn_href + "&group=" + b_group_id);
						break;
					}
				}
			}
		}
	}

	

})();
